package com.qmth.sop.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 派单人员分配小计
 * @Author: CaoZixuan
 * @Date: 2023-08-16
 */
public class UserArchivesAllocationSubTotalResult {
    @ApiModelProperty("已发布派单数")
    private Integer publishedCrmCount;
    @ApiModelProperty("派单总数")
    private Integer totalCrmCount;

    @ApiModelProperty("已匹配实施工程师数")
    private Integer effectEngineerCount;
    @ApiModelProperty("实施工程师配额")
    private Integer effectEngineerQuota;

    @ApiModelProperty("已匹配助理工程师数")
    private Integer assistantEngineerCount;
    @ApiModelProperty("助理工程师配额")
    private Integer assistantEngineerQuota;

    @ApiModelProperty("已匹配区域协调人数")
    private Integer regionCoordinatorCount;
    @ApiModelProperty("区域协调人配额")
    private Integer regionCoordinatorQuota;

    public Integer getPublishedCrmCount() {
        return publishedCrmCount;
    }

    public void setPublishedCrmCount(Integer publishedCrmCount) {
        this.publishedCrmCount = publishedCrmCount;
    }

    public Integer getTotalCrmCount() {
        return totalCrmCount;
    }

    public void setTotalCrmCount(Integer totalCrmCount) {
        this.totalCrmCount = totalCrmCount;
    }

    public Integer getEffectEngineerCount() {
        return effectEngineerCount;
    }

    public void setEffectEngineerCount(Integer effectEngineerCount) {
        this.effectEngineerCount = effectEngineerCount;
    }

    public Integer getEffectEngineerQuota() {
        return effectEngineerQuota;
    }

    public void setEffectEngineerQuota(Integer effectEngineerQuota) {
        this.effectEngineerQuota = effectEngineerQuota;
    }

    public Integer getAssistantEngineerCount() {
        return assistantEngineerCount;
    }

    public void setAssistantEngineerCount(Integer assistantEngineerCount) {
        this.assistantEngineerCount = assistantEngineerCount;
    }

    public Integer getAssistantEngineerQuota() {
        return assistantEngineerQuota;
    }

    public void setAssistantEngineerQuota(Integer assistantEngineerQuota) {
        this.assistantEngineerQuota = assistantEngineerQuota;
    }

    public Integer getRegionCoordinatorCount() {
        return regionCoordinatorCount;
    }

    public void setRegionCoordinatorCount(Integer regionCoordinatorCount) {
        this.regionCoordinatorCount = regionCoordinatorCount;
    }

    public Integer getRegionCoordinatorQuota() {
        return regionCoordinatorQuota;
    }

    public void setRegionCoordinatorQuota(Integer regionCoordinatorQuota) {
        this.regionCoordinatorQuota = regionCoordinatorQuota;
    }
}
